GET /buyers

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/buyers

List the buyers in your Trackdrive account.

Lists the buyers configured in your account. Supports filtering by phone number and paused status, full-text search, sorting, and pagination, and results can be returned as JSON or CSV. Only buyers you have permission to view are included.

Supported Formats

json, csv

Params

Param name Description
serializer
Optional Blank value allowed

This endpoint supports multiple response formats. Pass serializer=name to retrieve data in an alternate format.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    buyerDefault response format.
    buyer_gridModern response format that returns various foreign keys for use with other API endpoints.
number
Optional

Filter buyers for a telephone number.

  • Must be a String

paused
Optional

Filter buyers that are either paused or unpaused.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • name
  • context_menu_name
  • email
  • number
  • paused
  • time_zone
  • user_buyer_id
  • bid_price
  • route_by_type
  • buyer_type
  • buyer_group_ids
  • buyer_group_names
  • token_values
  • token_values_hash
  • attribution_token_values
  • attribution_token_values_hash
  • last_call_at
  • weight
  • tier
  • timeout_seconds
  • dtmf_tones
  • concurrency_cap_limit
  • concurrency_cap_used
  • maxed_out_by
  • current_conversion_revenue_max
  • current_conversion_revenue_min
  • current_conversion_revenue_increment
  • current_conversion_revenue
  • current_conversion_duration
  • current_conversion_duplicate_timeframe
  • current_conversion_name
  • current_conversion_token_value_ids
  • current_conversion_attribution_token_value_ids
  • ping_timeout_seconds
  • buyer_suppression_ids
  • record_token_filter_id
  • record_token_filter_data_count
  • record_token_filter_data
  • record_token_additional_id
  • record_token_additional_data_count
  • record_token_additional_data
  • attempt_daily_used
  • attempt_hourly_used
  • attempt_monthly_used
  • attempt_total_used
  • buyer_conversion_daily_used
  • buyer_conversion_hourly_used
  • buyer_conversion_monthly_used
  • buyer_conversion_total_used
  • connection_daily_used
  • connection_hourly_used
  • connection_monthly_used
  • connection_total_used
  • earned_revenue_daily_used
  • earned_revenue_hourly_used
  • earned_revenue_monthly_used
  • earned_revenue_total_used
  • revenue_daily_used
  • revenue_hourly_used
  • revenue_monthly_used
  • revenue_total_used
  • attempt_daily_limit
  • attempt_hourly_limit
  • attempt_monthly_limit
  • attempt_total_limit
  • buyer_conversion_daily_limit
  • buyer_conversion_hourly_limit
  • buyer_conversion_monthly_limit
  • buyer_conversion_total_limit
  • connection_daily_limit
  • connection_hourly_limit
  • connection_monthly_limit
  • connection_total_limit
  • earned_revenue_daily_limit
  • earned_revenue_hourly_limit
  • earned_revenue_monthly_limit
  • earned_revenue_total_limit
  • revenue_daily_limit
  • revenue_hourly_limit
  • revenue_monthly_limit
  • revenue_total_limit
  • business_hours_schedule
  • buyer_conversions_schedule
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

order
Optional

Sort results by this field.

  • Must be one of: id, name, calls_count, recent_calls_count, outgoing_webhooks_count, paused, number, created_at, last_call_at, tier, weight, time_zone, user_buyer_id, revenue_hourly_used, revenue_daily_used, revenue_monthly_used, revenue_total_used, earned_revenue_hourly_used, earned_revenue_daily_used, earned_revenue_monthly_used, earned_revenue_total_used, buyer_conversion_hourly_used, buyer_conversion_daily_used, buyer_conversion_monthly_used, buyer_conversion_total_used, connection_hourly_used, connection_daily_used, connection_monthly_used, connection_total_used, attempt_hourly_used, attempt_daily_used, attempt_monthly_used, attempt_total_used.

order_dir
Optional

Sort results in ascending or descending order.

  • Must be one of: desc, asc.